跳转到主要内容
POST
/
payment
/
open
/
institution
/
v1
/
pay
/
address
/
refundconvert
闪兑订单退款
curl --request POST \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/refundconvert \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "refundRequestId": "483902480932841787",
  "prepayId": "1665553233227833",
  "refundOrderCurrency": "BTC",
  "refundOrderAmount": "1.1",
  "refundPayCurrency": "USDT",
  "refundPayAmount": "1000.1",
  "refundReason": "refund test",
  "receiverId": 123456
}
'
{
  "status": "SUCCESS",
  "code": "00000",
  "errorMessage": "",
  "data": {
    "refundRequestId": "483902480932841787",
    "prepayId": "1665553233227833",
    "orderCurrency": "BTC",
    "orderAmount": "2.2",
    "refundOrderAmount": "1.1",
    "payCurrency": "USDT",
    "payAmount": "44000",
    "refundPayAmount": "1000.1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /payment/open/institution/v1/pay/address/refundconvert 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。 对闪兑地址支付单发起退款,只支持闪兑地址支付单,若提供的参数对应到直付支付单,会返回错误

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

签名

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8"

X-GatePay-Timestamp
string
必填

时间戳(毫秒)

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

请求体

application/json
refundRequestId
string

退款请求号

prepayId
string

订单ID

refundOrderCurrency
string

退款订单币种

refundOrderAmount
string

退款订单币种对应退款金额

refundPayCurrency
string

退款订单支付币种

refundPayAmount
string

退款订单支付币种对应退款金额

refundReason
string

退款原因

receiverId
string

地址支付退款接收人在gate系统的user_id

响应

200 - application/json

成功响应

闪兑地址支付单退款响应

refundRequestId
string
必填

商户退款请求ID

prepayId
string
必填

拟退款的订单id

orderCurrency
string
必填

订单币种

orderAmount
string
必填

订单金额

refundOrderAmount
string
必填

订单币种对应的退款金额

payCurrency
string
必填

用户支付币种

payAmount
string
必填

订单中用户应该支付的金额

refundPayAmount
string
必填

对应订单用户支付币种的退款金额